Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.core.rms
Class ResourceLocator.ResourceLocatorKey

    java.lang.Object
      lbg.peer.core.rms.ResourceLocator.ResourceLocatorKey

All Implemented Interfaces:
  java.lang.Comparable<ResourceLocator.ResourceLocatorKey>

Enclosing class:
  ResourceLocator

    public static class ResourceLocator.ResourceLocatorKey

extends java.lang.Object
implements java.lang.Comparable<ResourceLocator.ResourceLocatorKey>

Helper class of ResourceLocator. Allows to identify the Resource running the target Task.

Field Summary
`int` | `bot_id`
`boolean` | `is_local_task`
`int` | `job_id`
`int` | `task_id`

Constructor Summary
`ResourceLocator.ResourceLocatorKey(Task t, boolean is_local_task)`

Method Summary
`int` | `compareTo(ResourceLocator.ResourceLocatorKey other)`
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### is_local_task

    public final boolean is_local_task

### job_id

    public final int job_id

### bot_id

    public final int bot_id

### task_id

    public final int task_id

Constructor Detail

### ResourceLocator.ResourceLocatorKey

    public ResourceLocator.ResourceLocatorKey(Task t,
                                              boolean is_local_task)
                                       throws GridException

Parameters:
  `t` - target Task
  `is_local_task` - true if target Task is Local, false if target Task is Supplying
Throws:
  `GridException` - if a parameter is illegal

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### compareTo

    public int compareTo(ResourceLocator.ResourceLocatorKey other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<ResourceLocator.ResourceLocatorKey>`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.